EV Search Along the Route
Important note
This API is not available as part of our free evaluation or Pay As You Grow (PAYG) offering. Click the Request Access button above to contact our Sales team.
Purpose
The EV Search Along the Route endpoint provides information about the EV POIs along a pre-calculated route. By providing optional request parameters, the API allows filtering of the response by connector type, availability status, etc. This feature is particularly useful for long-distance travel where the vehicle may need to be charged one or more times to complete the journey.
If the detour request parameter is set to true, the search response will include detour information (if calculable), which consists of:
- Detour distance: The difference between the distances of the original route and the recalculated route going through the EV POI (as way-point).
- Detour time: The additional time required to take the detour.
- Detour offset: The distance between the start of the original route and the starting point of the detour to the POI.
Please note that with detour, the original route may be altered, and some of its points may be skipped. If the route that passes through the POI is faster than the original one, the detour distance/time value would be negative.
Request data
HTTPS method: POST
For ease of viewing and identification:
- Constants and parameters enclosed in curly brackets { } must be replaced with their values.
- Please see the following Request parameters section with the required and optional parameters tables for their values. The generic request format is as follows.
Request format
https://{baseURL}/search/{versionNumber}/alongRoute?key={Your_API_Key}[optional parameters]
1Content-Type: application/json23{4 "route": {5 "coordinates": [6 [longitude1, latitude1],[longitude2, latitude2],...7 ],8 "type":"LineString"9 },10 "width": integer11}
Request curl command example
1curl --location "https://api.tomtom.com/search/2/alongRoute?key={Your_API_Key}&status=Available,Unknown&connector=IEC62196Type2Outlet&accessType=Public&restriction=evOnly&capability=ChargingProfileCapable&minPowerKW=22.2&maxPowerKW=150.0&limit=20&view=Unified" \2--header 'Content-Type: application/json' \3--data '{4 "route": {5 "coordinates": [6 [4.90415,52.36759],[4.90393,52.36774],[4.90386,52.36775],7 [4.90355,52.36793],[4.90350,52.36796],[4.90344,52.36799],8 [4.90342,52.36799],[4.90336,52.36800],[4.90332,52.36800],9 [4.90327,52.36800],[4.90310,52.36796],[4.90299,52.36793]10 ],11 "type":"LineString"12 },13 "width":100014}'
Request body
The endpoint requires a request body in application/json format which includes the route and width of the route, within which the search will be conducted.
| Request body | Description |
|---|---|
width integer | Search distance from the the route in meters. The default value is 500 meters. |
route object | The route to search along. |
| route object | |
|---|---|
| Field | Description |
type string | The type of the GeoJSON object. Current supported value is LineString. |
coordinates array | Array of coordinates in the form of [longitude, latitude] |
Request parameters
The following table describes the parameters that can be used in a request.
- Required parameters must be used or the call will fail.
- Parameters and values are case-sensitive.
- Optional parameters may be used.
| Required parameters | Description |
|---|---|
baseURL string | Base URL for calling the API.
|
versionNumber string | The service version. |
key string | An API Key valid for the requested service. |
| Optional parameters | Description |
|---|---|
detour boolean | This parameter enables the enrichment of search results with detour information. |
limit integer | Maximum number of search results that will be returned. |
status string | The comma-separated status values of charging points to be filtered.
|
connector string | A comma-separated list of connector types which could be
used to restrict the result to specific connector types.
See the list of Supported Connector Types. |
accessType string | The comma-separated access types, which could be used to restrict the results to EV POIs with specific access types.
|
restriction string | The comma-separated restrictions, which could be used to restrict the results to EV POIs with specific restrictions.
|
capability string | The comma-separated capabilities, which could be used to restrict the results to EV POIs with specific capabilities.
|
minPowerKW double | An optional parameter that could be used to restrict the result to charging stations with connectors having a
specific minimal value of power in kilowatts (closed interval - with that value). |
maxPowerKW double | An optional parameter that could be used to restrict the result to charging stations with connectors having a
specific maximum value of power in kilowatts (closed interval - with that value). |
vehicleType string | The comma-separated vehicle types, which could be used to restrict the results to charging stations
where specific vehicle types can be charged.
This parameter might be used together with |
vehicleCategory string | The comma-separated vehicle categories, which could be used to restrict the results to charging stations
where specific categories of vehicles can be charged.
This parameter might be used together with |
vehicleHeight double | An optional parameter that could be used to restrict the results to charging stations where vehicles of a height in meters can be charged. |
vehicleWidth double | An optional parameter that could be used to restrict the results to charging stations where vehicles of a width in meters can be charged. |
vehicleLength double | An optional parameter that could be used to restrict the results to charging stations where vehicles of a length in meters can be charged. |
vehicleWeight integer | An optional parameter that could be used to restrict the results to charging stations where vehicles of a weight in kilograms can be charged. |
vehicleBrand string | An optional parameter that could be used to restrict the results to charging stations where given vehicle brand is allowed to charge. |
view string | Geopolitical View. The context used to resolve the handling of disputed territories.
|
nearby string | The comma-separated IDs of nearby Points of Interest (POIs) categories can be used to limit the results of charging stations.
Nearby POIs are points of interest within walking distance of the charging stations
that users can explore while charging their vehicles.
Example: |
brand string | The comma separated brand values of EV POI to be filtered. The brand value can be either the brand name or the brand id. |
paymentBrand string | Enum:
Example: paymentBrand=Plugsurfing,MyEasyCharge The comma separated payment brands, which could be used to limit the results of the charging stations. The value for payment brand can be either the name or the id of that brand. |
include string | Enum:
Example: include=tariffs Additional information to be included in the response. |
Request headers
The following table describes the HTTP request headers.
| Optional headers | Description |
|---|---|
| Tracking-ID | Specifies an identifier for the request.
Value: An |
| Accept | Specifies one of the following values as the response format of an API request:
|
| Accept-Language | Should be one of the TomTom supported IETF language tags, case insensitive. When data in the specified language is not available for a specific field or the language is not specified, the NGT (NeutralGroundTruth) of the POI will be used. |
| JMESPath | This header can be used to execute a JMESPath query on the API response. For more information refer to
JMESPath examples. |
| Sorting-Preset | This header is used to pass a sorting preset to the EV Search API.
If no sorting header is specified, a default sorting behavior up to the API's discretion is applied. The API aims to provide the best ranking behavior (which improves over time with engineering effort and data changes) by default. This header is intended to allow clients to request specific sorting behaviors when needed. |
Response data
Response body
If the Accept header value is set to application/json, the response will be a JSON object with the following structure:
1{2 "summary": {3 "numResults": 2,4 "totalResults": 1915 },6 "results": [7 {8 "id": "939d44d0-cf00-42e9-b9f3-bf4d2de125b5",9 "name": "TotalEnergies",10 "position": {11 "lat": 52.364941,12 "lon": 4.893598613 },14 "chargingStations": [15 {16 "id": "e0bead1c-6884-11ee-9f49-42010aa40fc0",17 "chargingPoints": [18 {19 "capabilities": [20 "CreditCardPayable",21 "RemoteStartStopCapable",22 "RfidReader"23 ],24 "connectors": [25 {26 "id": "1",27 "currentA": 25,28 "currentType": "AC3",29 "ratedPowerKW": 17.0,30 "type": "IEC62196Type2Outlet",31 "voltageV": 23032 }33 ],34 "evseId": "NL-GFX-ETNLP011512-1",35 "physicalReference": "TNLP011512",36 "status": "Available"37 },38 {39 "capabilities": [40 "CreditCardPayable",41 "RemoteStartStopCapable",42 "RfidReader"43 ],44 "connectors": [45 {46 "id": "2",47 "currentA": 25,48 "currentType": "AC3",49 "ratedPowerKW": 17.0,50 "type": "IEC62196Type2Outlet",51 "voltageV": 23052 }53 ],54 "evseId": "NL-GFX-ETNLP011512-2",55 "physicalReference": "TNLP011512",56 "status": "Occupied"57 }58 ]59 }60 ],61 "address": {62 "countryCode": "NL",63 "countryCodeISO3": "NLD",64 "country": "Netherlands",65 "countrySubdivision": "North Holland",66 "countrySubdivisionName": "North Holland",67 "countrySubdivisionCode": "NH",68 "freeformAddress": "Oudezijds Voorburgwal 99F, 1012 EM Amsterdam",69 "localName": "Amsterdam",70 "municipality": "Amsterdam",71 "postalCode": "1012 EM",72 "streetNumber": "99F",73 "streetName": "Oudezijds Voorburgwal"74 },75 "openingHours": {76 "mode": "nextSevenDays",77 "timeRanges": [78 {79 "startTime": {80 "date": "2024-05-02",81 "hour": 0,82 "minute": 083 },84 "endTime": {85 "date": "2024-05-09",86 "hour": 0,87 "minute": 088 }89 }90 ]91 },92 "timeZone": {93 "ianaId": "Europe/Amsterdam"94 },95 "paymentOptions": [96 {97 "brands": [98 {99 "name": "Plugsurfing"100 },101 {102 "name": "Eneco"103 },104 {105 "name": "Vattenfall InCharge - Incharge"106 },107 {108 "name": "EVBox Charge"109 },110 {111 "name": "Shell Recharge"112 },113 {114 "name": "Vandebron"115 }116 ]117 }118 ],119 "nearbyPois": [7315,9932],120 "accessType": "Public",121 "vehicleConstraint": {122 "types": ["Car", "Truck"],123 "categories": ["N1", "N2"],124 "length": 5.0,125 "height": 2.75,126 "width": 2.0,127 "weight": 3500,128 "brands": [129 {130 "name": "Tesla"131 },132 {133 "name": "Rivian"134 }135 ]136 }137 },138 {139 "id": "c31bc9fb-8935-4df5-97c6-51acbaccc601",140 "name": "EQUANS",141 "position": {142 "lat": 52.3653884,143 "lon": 4.8922383144 },145 "chargingStations": [146 {147 "id": "67335c40-4e72-11e8-8f53-42010a840002",148 "chargingPoints": [149 {150 "capabilities": [151 "RemoteStartStopCapable",152 "RfidReader"153 ],154 "connectors": [155 {156 "id": "1",157 "currentA": 16,158 "currentType": "AC3",159 "ratedPowerKW": 11.0,160 "type": "IEC62196Type2Outlet",161 "voltageV": 230162 }163 ],164 "evseId": "NL-GFX-EEVB-P1552388-1",165 "physicalReference": "1552388",166 "status": "Occupied"167 },168 {169 "capabilities": [170 "RemoteStartStopCapable",171 "RfidReader"172 ],173 "connectors": [174 {175 "id": "2",176 "currentA": 16,177 "currentType": "AC3",178 "ratedPowerKW": 11.0,179 "type": "IEC62196Type2Outlet",180 "voltageV": 230,181 "tariffId": "USCPIT10vn*B*2llX"182 }183 ],184 "evseId": "NL-GFX-EEVB-P1552388-2",185 "physicalReference": "1552388",186 "status": "OutOfService"187 }188 ]189 }190 ],191 "address": {192 "countryCode": "NL",193 "countryCodeISO3": "NLD",194 "country": "Netherlands",195 "countrySubdivision": "North Holland",196 "countrySubdivisionName": "North Holland",197 "countrySubdivisionCode": "NH",198 "freeformAddress": "Herengracht 505, 1017 BV Amsterdam",199 "localName": "Amsterdam",200 "municipality": "Amsterdam",201 "postalCode": "1017 BV",202 "streetNumber": "505",203 "streetName": "Herengracht"204 },205 "openingHours": {206 "mode": "nextSevenDays",207 "timeRanges": [208 {209 "startTime": {210 "date": "2024-05-02",211 "hour": 0,212 "minute": 0213 },214 "endTime": {215 "date": "2024-05-09",216 "hour": 0,217 "minute": 0218 }219 }220 ]221 },222 "timeZone": {223 "ianaId": "Europe/Amsterdam"224 },225 "paymentOptions": [226 {227 "brands": [228 {229 "name": "Plugsurfing"230 },231 {232 "name": "Vattenfall InCharge - Incharge"233 },234 {235 "name": "EVBox Charge"236 },237 {238 "name": "Shell Recharge"239 },240 {241 "name": "Vandebron"242 }243 ]244 }245 ],246 "nearbyPois": [7315,9932],247 "accessType": "Public",248 "vehicleConstraint": {249 "types": ["Car", "Truck"],250 "categories": ["N1", "N2", "N3", "N3+O4"],251 "length": 15.0,252 "height": 2.75,253 "width": 2.0,254 "weight": 13500,255 "brands": [256 {257 "name": "Tesla"258 },259 {260 "name": "Rivian"261 }262 ]263 }264 }265 ],266 "references": {267 "tariffs": [268 {269 "id": "USCPIT10vn*B*2llX",270 "partner": {271 "id": "CHCXGIH2",272 "type": "CPO"273 },274 "currency": "USD",275 "product": {276 "name": "Adhoc",277 "type": "ADHOC"278 },279 "minPrice": {280 "amount": 0.0,281 "vat": 20.0282 },283 "maxPrice": {284 "amount": 100.0,285 "vat": 20.0286 },287 "elements": [288 {289 "priceComponents": [290 {291 "price": {292 "amount": 2.3,293 "vat": 20.0294 },295 "stepSize": 1.0,296 "type": "ENERGY"297 }298 ],299 "restrictions": {300 "daysOfWeek": ["MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY"],301 "startDate": "2026-02-01",302 "endDate": "2026-02-28",303 "startTime": "08:00",304 "endTime": "20:00",305 "minPowerInKilowatts": 7.0,306 "maxPowerInKilowatts": 22.0,307 "minCurrentInAmperes": 16.0,308 "maxCurrentInAmperes": 32.0,309 "minEnergyInKilowattHours": 1.0,310 "maxEnergyInKilowattHours": 50.0,311 "minDurationInSeconds": 1800,312 "maxDurationInSeconds": 14400,313 "reservation": "RESERVATION"314 }315 }316 ]317 }318 ]319 }320}
If the Accept header value is set to application/xml, the response will be an XML object with the following structure:
1<response>2 <summary>3 <numResults>2</numResults>4 <totalResults>191</totalResults>5 </summary>6 <results>7 <item>8 <id>939d44d0-cf00-42e9-b9f3-bf4d2de125b5</id>9 <name>TotalEnergies</name>10 <position>11 <lat>52.364941</lat>12 <lon>4.8935986</lon>13 </position>14 <address>15 <countryCode>NL</countryCode>16 <countryCodeISO3>NLD</countryCodeISO3>17 <country>Netherlands</country>18 <countrySubdivision>North Holland</countrySubdivision>19 <countrySubdivisionName>North Holland</countrySubdivisionName>20 <countrySubdivisionCode>NH</countrySubdivisionCode>21 <freeformAddress>Oudezijds Voorburgwal 99F, 1012 EM Amsterdam</freeformAddress>22 <localName>Amsterdam</localName>23 <municipality>Amsterdam</municipality>24 <postalCode>1012 EM</postalCode>25 <streetNumber>99F</streetNumber>26 <streetName>Oudezijds Voorburgwal</streetName>27 </address>28 <openingHours>29 <mode>nextSevenDays</mode>30 <timeRanges>31 <timeRange>32 <startTime>33 <date>2024-05-02</date>34 <hour>0</hour>35 <minute>0</minute>36 </startTime>37 <endTime>38 <date>2024-05-09</date>39 <hour>0</hour>40 <minute>0</minute>41 </endTime>42 </timeRange>43 </timeRanges>44 </openingHours>45 <timeZone>46 <ianaId>Europe/Amsterdam</ianaId>47 </timeZone>48 <accessType>Public</accessType>49 <chargingStations>50 <chargingStation>51 <id>e0bead1c-6884-11ee-9f49-42010aa40fc0</id>52 <chargingPoints>53 <chargingPoint>54 <evseId>NL-GFX-ETNLP011512-1</evseId>55 <physicalReference>TNLP011512</physicalReference>56 <status>Available</status>57 <capabilities>58 <capability>CreditCardPayable</capability>59 <capability>RemoteStartStopCapable</capability>60 <capability>RfidReader</capability>61 </capabilities>62 <connectors>63 <connector>64 <id>1</id>65 <currentA>25</currentA>66 <currentType>AC3</currentType>67 <ratedPowerKW>17.0</ratedPowerKW>68 <type>IEC62196Type2Outlet</type>69 <voltageV>230</voltageV>70 </connector>71 </connectors>72 </chargingPoint>73 <chargingPoint>74 <evseId>NL-GFX-ETNLP011512-2</evseId>75 <physicalReference>TNLP011512</physicalReference>76 <status>Occupied</status>77 <capabilities>78 <capability>CreditCardPayable</capability>79 <capability>RemoteStartStopCapable</capability>80 <capability>RfidReader</capability>81 </capabilities>82 <connectors>83 <connector>84 <id>2</id>85 <currentA>25</currentA>86 <currentType>AC3</currentType>87 <ratedPowerKW>17.0</ratedPowerKW>88 <type>IEC62196Type2Outlet</type>89 <voltageV>230</voltageV>90 </connector>91 </connectors>92 </chargingPoint>93 </chargingPoints>94 </chargingStation>95 </chargingStations>96 <paymentOptions>97 <paymentOption>98 <brands>99 <brand>100 <name>Plugsurfing</name>101 </brand>102 <brand>103 <name>Eneco</name>104 </brand>105 <brand>106 <name>Vattenfall InCharge - Incharge</name>107 </brand>108 <brand>109 <name>EVBox Charge</name>110 </brand>111 <brand>112 <name>Shell Recharge</name>113 </brand>114 <brand>115 <name>Vandebron</name>116 </brand>117 </brands>118 </paymentOption>119 </paymentOptions>120 <nearbyPois>121 <nearbyPoi>122 <categoryId>7315</categoryId>123 </nearbyPoi>124 <nearbyPoi>125 <categoryId>9932</categoryId>126 </nearbyPoi>127 </nearbyPois>128 <vehicleConstraint>129 <types>130 <type>Car</type>131 <type>Truck</type>132 </types>133 <categories>134 <category>N1</category>135 <category>N2</category>136 </categories>137 <height>2.75</height>138 <width>2.5</width>139 <length>5.0</length>140 <weight>3500</weight>141 <brands>142 <brand>143 <name>Tesla</name>144 </brand>145 <brand>146 <name>Rivian</name>147 </brand>148 </brands>149 </vehicleConstraint>150 </item>151 <item>152 <id>c31bc9fb-8935-4df5-97c6-51acbaccc601</id>153 <name>EQUANS</name>154 <position>155 <lat>52.3653884</lat>156 <lon>4.8922383</lon>157 </position>158 <address>159 <countryCode>NL</countryCode>160 <countryCodeISO3>NLD</countryCodeISO3>161 <country>Netherlands</country>162 <countrySubdivision>North Holland</countrySubdivision>163 <countrySubdivisionName>North Holland</countrySubdivisionName>164 <countrySubdivisionCode>NH</countrySubdivisionCode>165 <freeformAddress>Herengracht 505, 1017 BV Amsterdam</freeformAddress>166 <localName>Amsterdam</localName>167 <municipality>Amsterdam</municipality>168 <postalCode>1017 BV</postalCode>169 <streetNumber>505</streetNumber>170 <streetName>Herengracht</streetName>171 </address>172 <openingHours>173 <mode>nextSevenDays</mode>174 <timeRanges>175 <timeRange>176 <startTime>177 <date>2024-05-02</date>178 <hour>0</hour>179 <minute>0</minute>180 </startTime>181 <endTime>182 <date>2024-05-09</date>183 <hour>0</hour>184 <minute>0</minute>185 </endTime>186 </timeRange>187 </timeRanges>188 </openingHours>189 <timeZone>190 <ianaId>Europe/Amsterdam</ianaId>191 </timeZone>192 <accessType>Public</accessType>193 <chargingStations>194 <chargingStation>195 <id>67335c40-4e72-11e8-8f53-42010a840002</id>196 <chargingPoints>197 <chargingPoint>198 <evseId>NL-GFX-EEVB-P1552388-1</evseId>199 <physicalReference>1552388</physicalReference>200 <status>Occupied</status>201 <capabilities>202 <capability>RemoteStartStopCapable</capability>203 <capability>RfidReader</capability>204 </capabilities>205 <connectors>206 <connector>207 <id>1</id>208 <currentA>16</currentA>209 <currentType>AC3</currentType>210 <ratedPowerKW>11.0</ratedPowerKW>211 <type>IEC62196Type2Outlet</type>212 <voltageV>230</voltageV>213 </connector>214 </connectors>215 </chargingPoint>216 <chargingPoint>217 <evseId>NL-GFX-EEVB-P1552388-2</evseId>218 <physicalReference>1552388</physicalReference>219 <status>OutOfService</status>220 <capabilities>221 <capability>RemoteStartStopCapable</capability>222 <capability>RfidReader</capability>223 </capabilities>224 <connectors>225 <connector>226 <id>2</id>227 <currentA>16</currentA>228 <currentType>AC3</currentType>229 <ratedPowerKW>11.0</ratedPowerKW>230 <type>IEC62196Type2Outlet</type>231 <voltageV>230</voltageV>232 <tariffId>USCPIT10vn*B*2llX</tariffId>233 </connector>234 </connectors>235 </chargingPoint>236 </chargingPoints>237 </chargingStation>238 </chargingStations>239 <paymentOptions>240 <paymentOption>241 <brands>242 <brand>243 <name>Plugsurfing</name>244 </brand>245 <brand>246 <name>Vattenfall InCharge - Incharge</name>247 </brand>248 <brand>249 <name>EVBox Charge</name>250 </brand>251 <brand>252 <name>Shell Recharge</name>253 </brand>254 <brand>255 <name>Vandebron</name>256 </brand>257 </brands>258 </paymentOption>259 </paymentOptions>260 <nearbyPois>261 <nearbyPoi>262 <categoryId>7315</categoryId>263 </nearbyPoi>264 <nearbyPoi>265 <categoryId>9932</categoryId>266 </nearbyPoi>267 </nearbyPois>268 <vehicleConstraint>269 <types>270 <type>Car</type>271 <type>Truck</type>272 </types>273 <categories>274 <category>N1</category>275 <category>N2</category>276 <category>N3</category>277 <category>N3+O4</category>278 </categories>279 <height>2.75</height>280 <width>2.5</width>281 <length>15.0</length>282 <weight>13500</weight>283 <brands>284 <brand>285 <name>Tesla</name>286 </brand>287 <brand>288 <name>Rivian</name>289 </brand>290 </brands>291 </vehicleConstraint>292 </item>293 </results>294 <references>295 <tariffs>296 <tariff>297 <id>USCPIT10vn*B*2llX</id>298 <partner>299 <id>CHCXGIH2</id>300 <type>CPO</type>301 </partner>302 <currency>USD</currency>303 <product>304 <name>Adhoc</name>305 <type>ADHOC</type>306 </product>307 <minPrice>308 <amount>0.0</amount>309 <vat>20.0</vat>310 </minPrice>311 <maxPrice>312 <amount>100.0</amount>313 <vat>20.0</vat>314 </maxPrice>315 <elements>316 <element>317 <priceComponents>318 <priceComponent>319 <price>320 <amount>2.3</amount>321 <vat>20.0</vat>322 </price>323 <stepSize>1.0</stepSize>324 <type>ENERGY</type>325 </priceComponent>326 </priceComponents>327 <restrictions>328 <daysOfWeek>329 <dayOfWeek>MONDAY</dayOfWeek>330 <dayOfWeek>TUESDAY</dayOfWeek>331 <dayOfWeek>WEDNESDAY</dayOfWeek>332 <dayOfWeek>THURSDAY</dayOfWeek>333 <dayOfWeek>FRIDAY</dayOfWeek>334 </daysOfWeek>335 <startDate>2026-02-01</startDate>336 <endDate>2026-02-28</endDate>337 <startTime>08:00</startTime>338 <endTime>20:00</endTime>339 <minPowerInKilowatts>7.0</minPowerInKilowatts>340 <maxPowerInKilowatts>22.0</maxPowerInKilowatts>341 <minCurrentInAmperes>16.0</minCurrentInAmperes>342 <maxCurrentInAmperes>32.0</maxCurrentInAmperes>343 <minEnergyInKilowattHours>1.0</minEnergyInKilowattHours>344 <maxEnergyInKilowattHours>50.0</maxEnergyInKilowattHours>345 <minDurationInSeconds>1800</minDurationInSeconds>346 <maxDurationInSeconds>14400</maxDurationInSeconds>347 <reservation>RESERVATION</reservation>348 </restrictions>349 </element>350 </elements>351 </tariff>352 </tariffs>353 </references>354</response>
Response fields
The following table describes all the fields that can appear in a response. Fields are listed by the response section they belong to and in the order that they appear in the response.
| Primary fields | |
|---|---|
| Field | Description |
summary object | Summary information about the search that was performed. |
results array | Array of result objects. |
references object | References to requested additional information. |
| summary object | |
|---|---|
| Field | Description |
numResults integer | Number of results in the response. |
totalResults integer | Total number of results found. |
| result object | |
|---|---|
| Field | Description |
id string | EV POI Id. |
name string | Name of the POI. |
position object | Position of the EV POI. |
chargingStations array | Array of chargingStation objects. |
address object | Structured address for the result. |
phone string | Phone number of the POI. |
openingHours object | Opening hours for the POI. |
timeZone object | Time zone for the POI. |
brands array | Array of brand objects.Brands available at the POI. |
paymentOptions array | Array of paymentOption objects. |
nearbyPois array | Array of |
accessType string | Access type of the EV POI station.
|
vehicleConstraint object | Vehicle constraint of the EV POI. |
| position object | |
|---|---|
| Field | Description |
lat double | Latitude of the result. |
lon double | Longitude of the result. |
| chargingStation object | |
|---|---|
| Field | Description |
id string | Charging station Id. |
chargingPoints object | Array of chargingPoint objects. |
| chargingPoint object | |
|---|---|
| Field | Description |
capabilities string (list) | List of capabilities.
|
connectors array | Array of connector objects. |
id string | Charging point Id. |
evseId string | The EVSE ID is a unique alphanumeric code assigned to each individual charging point (or connector) within a station or network. It's essential for identifying specific chargers in public or roaming charging systems, enabling apps and providers to locate, authenticate, and bill for sessions accurately. |
physicalReference string | Physical identification of the charging station printed on the station and visible to the driver. One of the parameters that can be used for booking or charging purposes to locate the physical station. No standard format is available. |
restrictions string (list) | List of parking restrictions.
|
status string | Dynamic availability status of charging point.
|
| connector object | |
|---|---|
| Field | Description |
id string | Id of the connector. |
currentA integer | Amperage in amperes[A]. |
currentType string | The current type of the connector.
|
ratedPowerKW double | Rated charging power in kilowatts[KW]. |
type string | The connector type which is one of the supported types. |
voltageV integer | Voltage in volts[V]. |
tariffId string | Identifier of tariff attached to the connector, included only when parameter include=tariffs was provided.
Refers to a |
| address object | |
|---|---|
| Field | Description |
countryCode string | The two-letter code of the country. |
countryCodeISO3 string | ISO alpha-3 country code. |
country string | The country name. |
countrySubdivision string | State or Province. For regions like USA, CAN, & GB, this will be the province code, and for the rest the subdivision name. |
countrySecondary Subdivision string | Country. |
countryTertiary Subdivision string | Named area. |
countrySubdivisionName string | State or Province name. |
countrySubdivisionCode string | State or Province code. Only for regions like USA, CAN, GB. |
countrySubdivisionName string | The full name of the first level of a country's administrative hierarchy.
|
freeformAddress string | An address line formatted according to the formatting rules of the result's country of origin. |
localName string | An address component which represents the name of a geographic area or locality that groups a number of addressable objects for addressing purposes, without being an administrative unit. |
municipality string | City / Town. |
municipality Subdivision string | Sub / Super City. |
postalCode string | Postal code / Zip code. |
extendedPostalCode string | Extended postal code (availability dependent on region). |
streetNumber string | The building number on the street. |
streetName string | The street name. |
| openingHours object | |
|---|---|
| Field | Description |
mode string | Requested mode for opening hours. |
timeRanges array | List of time ranges for the next 7 days. Array of timeRange. |
| timeRange object | |
|---|---|
| Field | Description |
startTime object | Start of the timeRange in the form of dateHourMinute. |
endTime object | End of the timeRange in the form of dateHourMinute. |
| dateHourMinute object | |
|---|---|
| Field | Description |
date string | The date in the calendar year in the local time zone. |
hour integer | Possible values: 0 - 23 |
minute integer | Possible values: 0 - 59 |
| timeZone object | |
|---|---|
| Field | Description |
ianaId string | ID from the IANA Time Zone Database. |
| brand object | |
|---|---|
| Field | Description |
id string | Brand Id. |
name string | Brand name. |
| paymentOption object | |
|---|---|
| Field | Description |
method string | Payment method.
|
brands array | Array of payment option brand objects. |
| paymentOptionBrand object | |
|---|---|
| Field | Description |
id string | Unique identifier of the payment option. |
name string | Name of the payment option. |
restricted boolean | Indicates if payment option is restricted to the current request. |
| nearbyPoi object | |
|---|---|
| Field | Description |
categoryId integer | Category Id of the nearby POI.
|
| vehicleConstraint object | |
|---|---|
| Field | Description |
types string (list) | Vehicle types constraint of the result.
|
categories string (list) | Vehicle categories constraint of the result.
|
length double | Vehicle length —in meters— constraint of the result. |
height double | Vehicle height —in meters— constraint of the result. |
width double | Vehicle width —in meters— constraint of the result. |
weight integer | Vehicle weight —in kg— constraint of the result. |
brands object | Array of vehicleBrand objects. |
| vehicleBrand object | |
|---|---|
| Field | Description |
name string | Vehicle brand name. |
| references object | |
|---|---|
| Field | Description |
tariffs array | Array of tariff objects related to connectors. |
| tariff object | |
|---|---|
| Field | Description |
id string | Tariff identifier. |
partner object | Partner information. |
currency string | Currency of the price, in ISO-4217 format. |
product object | Product information. |
minPrice object | Price object for minimum applicable price. |
maxPrice object | Price object for maximum applicable price. |
elements array | Array of element objects providing pricing details and restrictions. |
| product object | |
|---|---|
| Field | Description |
name string | Name of payment product. |
type string | Product type.
|
| partner object | |
|---|---|
| Field | Description |
id string | Identifier of CPO/eMSP partner. |
type string | Type of partner.
|
| price object | |
|---|---|
| Field | Description |
amount number | The price amount (tax included). |
vat number | The VAT (Value Added Tax) value. |
| element object For more info: OCPI-TariffElement | |
|---|---|
| Field | Description |
priceComponents array | Array of price component objects describing how each dimension is priced. |
restrictions object | Restrictions object describing when the price components of given tariff element apply. |
| priceComponent object For more info: OCPI-PriceComponent | |
|---|---|
| Field | Description |
price object | Price object for given component. |
stepSize number | Step size for given price component. |
type string | Type of given price component.
|
| restrictions object For more info: OCPI-TariffRestrictions | |
|---|---|
| Field | Description |
daysOfWeek array | Days of the week for which the restriction applies.
|
startDate string | Start date of the restrictions. |
endDate string | End date of the restrictions. |
startTime string | Start time of the restrictions. |
endTime string | End time of the restrictions. |
minPowerInKilowatts number | Minimum power in kW. |
maxPowerInKilowatts number | Maximum power in kW. |
minCurrentInAmperes number | Sum of the minimum current (in Amperes) over all charging phases. |
maxCurrentInAmperes number | Sum of the maximum current (in Amperes) over all charging phases. |
minEnergyInKilowattHours number | Minimum consumed energy in kWh. |
maxEnergyInKilowattHours number | Maximum consumed energy in kWh. |
minDurationInSeconds integer | Minimum duration in seconds the charging session must last. |
maxDurationInSeconds integer | Maximum duration in seconds the charging session can last. |
reservation string | Reservation restriction type.
Note: Reservation restriction can only have: FLAT and TIME tariff dimensions, where TIME is for the duration of the reservation. |
Response codes
| Code | Meaning & possible causes |
|---|---|
200 | OK: If any matching charging station was found, the body of the response will contain the data. Otherwise, an empty response will be returned: Empty response example - JSON
|
400 | Bad request: One or more parameters were incorrectly specified or are out of range. |
403 | Forbidden: Possible causes include:
|
404 | Not Found: The requested resource could not be found, the HTTP request method or path is incorrect. |
405 | Method Not Allowed : The client used an HTTP method other than |
406 | Media Type Not Acceptable |
414 | The requested URI is too long |
429 | Too Many Requests: The API Key is over QPS (Queries per second). |
5xx | Server Error: The service was unable to process your request. Contact support to resolve the issue. |
Response headers
The following table lists HTTP response headers.
| Header | Description |
|---|---|
| Access-Control-Allow-Origin | The EV Search service allows cross-origin resource sharing.
Value: |
| Content-Encoding | The EV Search service supports HTTP compression if
requested by the client.
Value: |
| Cache-Control | The Cache-Control general-header field is used to specify directives that must be obeyed by all caching mechanisms along the request/response chain.
Value: |
| Content-Type | Indicates the format of the response as chosen by the client.
Format: |
| Tracking-ID | An identifier for the request. If the Tracking-ID header was specified, it is replicated in the response.
Otherwise, it is generated automatically by the service. It is only meant to be used for support and does not involve tracking
of you or your users in any form.
Value: An |
Error response
The error response content type depends on the Accept header.
1{2 "message": "Missing parameter 'parameterName'",3 "detailedError": {4 "code": "MissingParameter",5 "message": "Missing required parameter 'parameterName'."6 },7 "httpStatusCode": "400"8}
1<ErrorEvResponse>2 <message>Missing parameter 'parameterName'</message>3 <detailedError>4 <code>MissingParameter</code>5 <message>Missing required parameter 'parameterName'.</message>6 </detailedError>7</ErrorEvResponse>
Error response fields
| Primary fields | Description |
|---|---|
| A human-readable description of the error. |
| Detailed information about the error.
|
| detailedError object | |
| Field | Description |
| One of a server-defined set of error codes. |
| A human-readable description of the error code. It is intended as an aid to developers and is not suitable for exposure to end users. |